org.apache.hadoop.yarn.api.records

## Class PreemptionResourceRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.PreemptionResourceRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class PreemptionResourceRequest
      extends Object

  Description of resources requested back by the cluster.
  See Also:
    `PreemptionContract`, `AllocateRequest.setAskList(java.util.List)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreemptionResourceRequest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ResourceRequest` | `getResourceRequest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreemptionResourceRequest

          public PreemptionResourceRequest()

  - ### Method Detail

    - #### getResourceRequest

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract ResourceRequest getResourceRequest()

      Returns:
        Resource described in this request, to be matched against running containers.

Copyright © 2022 Apache Software Foundation. All rights reserved.